Bug 239203

Summary: PDF file that is unprintable on HPCLJ2840
Product: [Fedora] Fedora Reporter: Bernard Johnson <bjohnson>
Component: cupsAssignee: Tim Waugh <twaugh>
Status: CLOSED RAWHIDE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 7CC: ke7ezt
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-01-24 05:08:14 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 235705    
Attachments:
Description Flags
pdf file that won't print
none
ppd file
none
PS file processed by CUPS
none
pdftops.ps none

Description Bernard Johnson 2007-05-05 21:32:32 EDT
Description of problem:
I'm filing this under hplip because I think it's a problem with
/usr/lib/cups/backend/hp.  I can print the same document to the fax printer
(/usr/lib/cups/backend/fax) and it works.

When I print the attached file to the printer, all appears to go well.  The
printer even flashes "printing" for about a second.  Then nothing else.

I'll post this upstream as well.

Version-Release number of selected component (if applicable):
hplip-1.7.2-3.fc6

How reproducible:
Always

Steps to Reproduce:
1. load file in evince
2. file->print
3. nothing gets printed
  
Actual results:
printer actually flashes "printing" for about 1 second and then stops.

cups thinks that the file printed successfully:
HP_Color_LaserJet_2840-59  	evince-print  	bjohnson  	220k  	1  	completed at
Sat 05 May 2007 06:52:54 PM MDT 

cups error log:
I [05/May/2007:18:52:39 -0600] Adding start banner page "none" to job 59.
I [05/May/2007:18:52:39 -0600] Adding end banner page "none" to job 59.
I [05/May/2007:18:52:39 -0600] Job 59 queued on "HP_Color_LaserJet_2840" by
"bjohnson".
I [05/May/2007:18:52:39 -0600] Started filter /usr/lib/cups/filter/pdftops (PID
1113) for job 59.
I [05/May/2007:18:52:39 -0600] Started filter /usr/lib/cups/filter/pstops (PID
1114) for job 59.
I [05/May/2007:18:52:39 -0600] Started backend /usr/lib/cups/backend/hp (PID
1115) for job 59.
Comment 1 Bernard Johnson 2007-05-05 21:32:33 EDT
Created attachment 154215 [details]
pdf file that won't print
Comment 2 Tim Waugh 2007-05-15 11:46:01 EDT
Can you attach the PPD file you're using (from /etc/cups/ppd/)?  Thanks.
Comment 3 Bernard Johnson 2007-05-21 14:35:29 EDT
Created attachment 155123 [details]
ppd file
Comment 4 Bernard Johnson 2007-05-21 14:36:27 EDT
Attached is the ppd file that I'm using that doesn't print the pdf.
Comment 5 Tim Waugh 2007-05-22 05:19:26 EDT
Created attachment 155152 [details]
PS file processed by CUPS

Here's the PostScript file I get from CUPS in F-7, ready to give to the hp
backend.  Please try printing it as 'raw':

lp -oraw output.ps

Do you get the same results?  If so, please show me the output of '/sbin/lpinfo
-v'.
Comment 6 Bernard Johnson 2007-05-22 10:32:55 EDT
Yes, I get the same results.  Here is the output from lpinfo -v:

# lpinfo -v
network socket
network beh
file cups-pdf:/
direct hal
network socket://192.168.1.11
direct hp:/no_device_found
network http
network ipp
network lpd
direct parallel:/dev/lp0
direct scsi
network smb
Comment 7 Tim Waugh 2007-05-22 10:48:30 EDT
Thanks.  What URI is the queue you're printing to using? (lpstat -s will say)
Comment 8 Bernard Johnson 2007-05-22 10:51:53 EDT
# lpstat -s
system default destination: HP_Color_LaserJet_2840
device for Cups-PDF: cups-pdf:/
device for HP_Color_LaserJet_2840: hp:/net/HP_Color_LaserJet_2840?ip=192.168.1.11
device for HP_Color_LaserJet_2840_fax:
hpfax:/net/HP_Color_LaserJet_2840?ip=192.168.1.11
Comment 9 Tim Waugh 2007-05-22 10:57:38 EDT
Okay, perfect.  Please do the following:

lpadmin -p test -v socket://192.168.1.11
cupsenable test
accept test
lp -dtest output.ps

I'm trying to eliminate the hp backend from the problem.
Comment 10 Bernard Johnson 2007-05-22 11:10:52 EDT
# lpadmin -p test -v socket://192.168.1.11
# cupsenable test
# accept test
# lp -dtest /tmp/output.ps 
request id is test-83 (1 file(s))

(nothing prints)

It didn't show up in my print status applet either this time.
Comment 11 Tim Waugh 2007-05-22 11:19:08 EDT
No, it wouldn't: we submitted the job as root.

Did the printer display "Printing" at all?  How about if you submit the CUPS
test page, like 'lp -dtest /usr/share/cups/data/testprint.ps'?
Comment 12 Bernard Johnson 2007-05-22 11:28:02 EDT
(In reply to comment #11)
> Did the printer display "Printing" at all?

Yes, it very briefly says "Printing Document" then goes back to "Ready".

> How about if you submit the CUPS
> test page, like 'lp -dtest /usr/share/cups/data/testprint.ps'?

Then I get the cups test page printed out.
Comment 13 Tim Waugh 2007-05-22 11:47:02 EDT
Created attachment 155172 [details]
pdftops.ps

Please try 'lp -dtest pdftops.ps'.  This file is the result of applying only
the pdftops filter, and not the pstops filter, with the cupsRotation line taken
out.
Comment 14 Bernard Johnson 2007-05-22 11:57:12 EDT
Brief "printing" message on printer, no output - same as before.
Comment 15 Tim Waugh 2007-05-22 12:33:33 EDT
It might be worth checking with HP whether there is any updated firmware for
that device.  It is not unknown for PostScript modules to need firmware fixes.

Other than that I'm a bit stuck.  The PostScript seems alright to me: evince
displays it without problems, for instance. :-/
Comment 16 Bernard Johnson 2007-05-22 13:56:25 EDT
It's running the latest published firmware (20060517).  I'll see what resources
I can find at HP regarding this.
Comment 17 Aaron Albright 2007-06-26 13:37:23 EDT
I've been able to reproduce this.  However I can print other pdf's fine. I'm
thinking maybe the pdf was created outside the normal margins perhaps?  I'll
continue to experiment.

A
Comment 18 Bernard Johnson 2007-06-26 14:43:07 EDT
(In reply to comment #17)
> However I can print other pdf's fine.

Same here, only these pdfs that are created with gnucash seem to be a
problem[1].  If it's of any consequence, I can transfer this pdf file to a
windows computer and it will print fine.

> I'm thinking maybe the pdf was created outside the normal margins perhaps?

Perhaps, although I opened the pdf in pdfedit and checked the page metrics and
it's 8.26389 x 11.6806.  That sounds like A4.  Not what I expected, but it
should still print.  (Also, normally if a different paper type, other than US
letter, is called for my printer puts a message on the display and stops until
it's provided in the tray).

Well, I just went a created a PDF on US letter size paper and it does the same
thing :(

Thanks for taking a look Aaron.


[1] Actually, I'm using the "Create a PDF document" that is part of my print
dialog.  I believe that this is provided by Gtk to any Gtk application?  I tried
the same experiment with Evolution and was able to create pdf files that printed
fine.
Comment 19 Bernard Johnson 2007-07-05 13:41:48 EDT
I noticed a new (20070524) firmware was released and I retested with it.  The
results were the same.
Comment 20 Bernard Johnson 2007-07-12 13:21:24 EDT
Aaron,

Will this PDF file print on other printers or is it just particular to my printer?
Comment 21 Tim Waugh 2008-01-10 08:28:02 EST
I ought to dig out the HP LaserJet 5 I have and try it with that.
Comment 22 Bernard Johnson 2008-01-23 21:13:18 EST
I just updated to firmware 20070524 Rev G (yeah that's right, same date code,
new revision).  Printing now works as expected.  I should have tested again
before I upgraded the firmware to see *what* fixed it (firmware vs. software).

Anyway, somebody, somewhere, fixed something.  And now it works.
Comment 23 Tim Waugh 2008-01-24 05:08:14 EST
Okay, thanks for testing.  Sorry I didn't get to this one.